%{?nodejs_find_provides_and_requires}

%global packagename olm

Name: nodejs-%{packagename}
Version: 1.3.0
Release: 1%{?dist}.3
Summary: An implementation of the Double Ratchet cryptographic ratchet
License: ASL 2.0
URL: https://github.com/matrix-org/olm
Source0: https://matrix.org/packages/npm/%{packagename}/%{packagename}-%{version}.tgz
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging

%description
An implementation of the Double Ratchet cryptographic ratchet.


%prep
%setup -q -n package


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
        %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'


%files
%doc *.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Fri Sep 23 2016 Oleg Girko <ol@infoserver.lv> - 1.3.0-1
- Initial package.
